Skip to content

Browser requirements

 By Userlytics
 1147 views
Home  »  Help   »   Browser requirements
Browser requirements

What are the browser requirements to use and access all functions of Userlytics? We recommend using Microsoft Internet Explorer 8 or higher, Mozilla Firefox 4.x or higher, Apple Safari 4.x or higher, and Google Chrome 4.x or higher.

Tags:

Didn’t find what you were searching for?

Related posts:

Let's work together

Let’s work together on your next UX study.

Create positive user experiences and keep customers loyal to your product and brand.

Analytics tells you what,
Userlytics tells you WHY.